Subject: Re: [pkix] Mail regarding draft-ietf-pkix-new-asn1

From: Paul Hoffman <[email-masked]>
Date: Sun, 28 Mar 2010 17:08:54 -0700

[[ I am Ccing the WG on this because someone has suggested a technical change to a WG consensus document in the RFC Editor's queue, and we intend to make that change. ]]

At 11:44 AM -0400 3/22/10, Leonberger, Pierce (US SSA) wrote:
>Shouldn't parameters be OPTIONAL in the SIGNED parameterized type?
>
>I believe the syntax should be:
>
>SIGNED{ToBeSigned} ::= SEQUENCE {
>     toBeSigned           ToBeSigned,
>     algorithmIdentifier  SEQUENCE {
>         algorithm        SIGNATURE-ALGORITHM.
>                              &id({SignatureAlgorithms}),
>         parameters       SIGNATURE-ALGORITHM.
>                              &Params({SignatureAlgorithms}
>                                  [email-masked]}) OPTIONAL
>     },
>
>     signature BIT STRING (CONTAINING SIGNATURE-ALGORITHM.&Value(
>                              {SignatureAlgorithms}
>                              [email-masked]}))
>  }
>
>

Good catch. Jim and I agree.